Attribute VB_Name = "EZUSB"
Global oCusb As CUSBXLib.cusb
 
 
Function cusb_int(n As Integer, fwname As String, str1 As String, str2 As String) As Long
    Dim fw_bin() As Byte
    Dim fwlen As Long
    Dim s1 As String
    Dim s2 As String
    Dim h  As Long
    On Error GoTo ERR
    
    cusb_int = 0
    Set oCusb = CreateObject("CUSBX.cusb")
    h = oCusb.usb_open(n)
    If (-1 = h) Then GoTo ERR
    
    s1 = oCusb.usb_get_string(h, 1)
    s2 = oCusb.usb_get_string(h, 2)
    
    If (s1 <> str1 Or s2 <> str2) Then
        If (-1 = oCusb.usb_halt(h)) Then GoTo ERR
        fwlen = oCusb.load_file(fwname, fw_bin, 4096)

        If (-1 = oCusb.usb_download(h, fw_bin, fwlen)) Then GoTo ERR
        If (-1 = oCusb.usb_run(h)) Then GoTo ERR
        oCusb.usb_close (h)
        
        h = oCusb.usb_open(n)
        If (0 = h) Then GoTo ERR
    End If
    
   
    cusb_int = h
    Exit Function
ERR:
    MsgBox oCusb.getLastError()

End Function

Function cusb_close(h As Long)
    oCusb.usb_close (h)
    Set oCusb = Nothing
End Function
