// cusb.h: cusb NX̒`
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CUSB_H__53C8E0C2_B7A3_45D3_AFEF_B58A920C6560__INCLUDED_)
#define AFX_CUSB_H__53C8E0C2_B7A3_45D3_AFEF_B58A920C6560__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "resource.h"       // C V{

/////////////////////////////////////////////////////////////////////////////
// cusb

class cusb : 
	public IDispatchImpl<Icusb, &IID_Icusb, &LIBID_CUSBXLib>, 
	public ISupportErrorInfo,
	public CComObjectRoot,
	public CComCoClass<cusb,&CLSID_cusb>
{
public:
	cusb() {memset(m_szErrmsg,0,sizeof(m_szErrmsg));m_dwLastErr=0;}
BEGIN_COM_MAP(cusb)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(Icusb)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()
//DECLARE_NOT_AGGREGATABLE(cusb) 
// IuWFNgŃAOQ[VT|[gȂꍇ 
// ̍sRg폜ĂB 

DECLARE_REGISTRY_RESOURCEID(IDR_cusb)
// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

// Icusb
public:
	STDMETHOD(save_file)(/*[in]*/BSTR bstrFileName, /*[in]*/VARIANT *parrBuf, /*[in]*/int len,/*[out,retval]*/ int *plen);
	STDMETHOD(load_file)(/*[in]*/BSTR bstrFileName,/*[in,out]*/VARIANT *parrBuf,/*[in]*/int reqlen,/*[out,retval]*/int* plen );
	STDMETHOD(getLastErrorCode)(/*[out,retval]*/long* pLastErr);
	STDMETHOD(getLastError)(/*[out,retval]*/BSTR* pbstrVal);
	STDMETHOD(usb_bulk_read)(/*[in]*/long h,/*[in]*/int nPipe,/*[in,out]*/VARIANT* parrBuff,/*[in]*/int len,/*[out,retval]*/long* pret);
	STDMETHOD(usb_bulk_write)(/*[in]*/long h,/*[in]*/int nPipe,/*[in]*/VARIANT* parrBuff,/*[in]*/int len,/*[out,retval]*/long* pret);
	STDMETHOD(usb_get_string)(/*[in]*/long h,/*[in]*/int idx,/*[out,retval]*/BSTR* pbstrVal);
	STDMETHOD(usb_resetpipe)(/*[in]*/long h,/*[in]*/long hPipe,/*[out,retval]*/long* pret);
	STDMETHOD(usb_download)(/*[in]*/long h,/*[in]*/VARIANT* parrImage,/*[in]*/int len,/*[out,retval]*/long* pret);
	STDMETHOD(usb_run)(/*[in]*/long h,/*[out,retval]*/long* pret);
	STDMETHOD(usb_halt)(/*[in]*/long h,/*[out,retval]*/long* pret);
	STDMETHOD(usb_close)(/*[in]*/long h,/*[out,retval]*/long* pret);
	void setErrmsg(DWORD dwErr,const char* msg);
	char m_szErrmsg[256];
	DWORD m_dwLastErr;
	STDMETHOD(usb_open)(/*[in]*/int n, /*[out,retval]*/long *ph);
};

#endif // !defined(AFX_CUSB_H__53C8E0C2_B7A3_45D3_AFEF_B58A920C6560__INCLUDED_)
